Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic.cache
Class NullAclEntryCache

    java.lang.Object
      org.acegisecurity.acl.basic.cache.NullAclEntryCache

All Implemented Interfaces:
  BasicAclEntryCache

    public class NullAclEntryCache

extends Object
implements BasicAclEntryCache

Does not perform any caching.

Do not use in production settings, as ACL queries are likely to be extensive.

Version:
  $Id: NullAclEntryCache.java,v 1.2 2005/11/17 00:56:47 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`NullAclEntryCache()`

Method Summary
`BasicAclEntry[]` | `getEntriesFromCache(AclObjectIdentity aclObjectIdentity)` As nothing ever stored in the cache, will always return `null`.
`void` | `putEntriesInCache(BasicAclEntry[] basicAclEntry)` Meets method signature but doesn't store in any cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullAclEntryCache

    public NullAclEntryCache()

Method Detail

### getEntriesFromCache

    public BasicAclEntry[] getEntriesFromCache(AclObjectIdentity aclObjectIdentity)

  As nothing ever stored in the cache, will always return `null`.

  Specified by:
    `getEntriesFromCache` in interface `BasicAclEntryCache`
  Parameters:
    `aclObjectIdentity` - ignored
  Returns:
    always `null`

### putEntriesInCache

    public void putEntriesInCache(BasicAclEntry[] basicAclEntry)

  Meets method signature but doesn't store in any cache.

  Specified by:
    `putEntriesInCache` in interface `BasicAclEntryCache`
  Parameters:
    `basicAclEntry` - ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.